# DataExchange
TKSTEP209
RWStepElement

# RWStepElement_RWSurfaceSectionFieldConstant Class Reference

Read & Write tool for SurfaceSectionFieldConstant
.

`#include <RWStepElement_RWSurfaceSectionFieldConstant.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepElement_RWSurfaceSectionFieldConstant ()
| Empty constructor .
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepElement_SurfaceSectionFieldConstant)&ent) const
| Reads SurfaceSectionFieldConstant .
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepElement_SurfaceSectionFieldConstant)&ent) const
| Writes SurfaceSectionFieldConstant .
Standard_EXPORT void | Share (const Handle(StepElement_SurfaceSectionFieldConstant)&ent, Interface_EntityIterator &iter) const
| Fills data for graph (shared items) .

## Constructor & Destructor Documentation

Standard_EXPORT RWStepElement_RWSurfaceSectionFieldConstant::RWStepElement_RWSurfaceSectionFieldConstant | ( |  | ) |

## Member Function Documentation

void RWStepElement_RWSurfaceSectionFieldConstant::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepElement_RWSurfaceSectionFieldConstant::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepElement_RWSurfaceSectionFieldConstant::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepElement_RWSurfaceSectionFieldConstant::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepElement_SurfaceSectionFieldConstant)& | ent
| ) | const

Standard_EXPORT void RWStepElement_RWSurfaceSectionFieldConstant::Share | ( | const Handle(StepElement_SurfaceSectionFieldConstant)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepElement_RWSurfaceSectionFieldConstant::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepElement_SurfaceSectionFieldConstant)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepElement_RWSurfaceSectionFieldConstant.hxx